<?php

namespace App\Models;

use Illuminate\Database\Eloquent\Model;
use Illuminate\Database\Eloquent\Relations\BelongsTo;
use Illuminate\Database\Eloquent\SoftDeletes;

class MfmMeter extends Model
{

    use SoftDeletes;

    protected $fillable = [
        'plant_id',
        'device_master_id',
        'sequence',
		'name',
        'created_at',
		'updated_at',
		'created_by',
    ];

    public function plant(): BelongsTo
    {
        return $this->belongsTo(Plant::class);
    }
    public function devicemaster(): BelongsTo
    {
        return $this->belongsTo(DeviceMaster::class, 'device_master_id');
    }

}
